Main Page Packages Class Hierarchy Compound List File List Compound Members

# characterdataindexsizeerrreplacedatacountnegative Class Reference

Inherits DOMTestCase.

List of all members.

## Public Methods
| characterdataindexsizeerrreplacedatacountnegative (DOMTestDocumentBuilderFactory factory) throws DOMTestIncompatibleException
void | runTest () throws java.lang.Throwable
String | getTargetURI ()
## Static Public Methods
void | main (String[] args)

## Detailed Description

The "replaceData(offset,count,arg)" method raises an INDEX_SIZE_ERR DOMException if the specified count is negative.

Retrieve the character data of the last child of the first employee and invoke its "replaceData(offset,count,arg) method with offset=10 and count=-3 and arg="ABC". It should raise the desired exception since the count is negative.

Author:
  NIST , Mary Brady

See also:
  http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#xpointer(id('ID-258A00AF')/constant[@name='INDEX_SIZE_ERR']) , http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-6531BCCF , http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#xpointer(id('ID-6531BCCF')/raises/exception[@name='DOMException']/descr/p[substring-before(.,':')='INDEX_SIZE_ERR'])

Definition at line 49 of file characterdataindexsizeerrreplacedatacountnegative.java.

## Constructor & Destructor Documentation

characterdataindexsizeerrreplacedatacountnegative::characterdataindexsizeerrreplacedatacountnegative | ( | DOMTestDocumentBuilderFactory | factory | ) | `[inline]`

| Definition at line 51 of file characterdataindexsizeerrreplacedatacountnegative.java. References DOMTest::setFactory(), and DocumentBuilderSetting::signed.
    00052                                      {
    00053
    00054       DocumentBuilderSetting[] settings = new DocumentBuilderSetting[] {
    00055 DocumentBuilderSetting.signed
    00056         };
    00057         DOMTestDocumentBuilderFactory testFactory = factory.newInstance(settings);
    00058         setFactory(testFactory);
    00059
    00060    }

## Member Function Documentation

String characterdataindexsizeerrreplacedatacountnegative::getTargetURI | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTest. Definition at line 86 of file characterdataindexsizeerrreplacedatacountnegative.java.
    00086                                 {
    00087       return "http://www.w3.org/2001/DOM-Test-Suite/level1/core/characterdataindexsizeerrreplacedatacountnegative";
    00088    }

void characterdataindexsizeerrreplacedatacountnegative::main | ( | String | args[] | ) | `[inline, static]`

| Definition at line 89 of file characterdataindexsizeerrreplacedatacountnegative.java. References DOMTestCase::doMain().
    00089                                           {
    00090         DOMTestCase.doMain(characterdataindexsizeerrreplacedatacountnegative.class,args);
    00091    }

void characterdataindexsizeerrreplacedatacountnegative::runTest | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTestCase. Definition at line 62 of file characterdataindexsizeerrreplacedatacountnegative.java. References DOMTestCase::assertTrue(), and DOMTest::load().
    00062                                                     {
    00063       Document doc;
    00064       NodeList elementList;
    00065       Node nameNode;
    00066       CharacterData child;
    00067       String badString;
    00068       doc = load("staff");
    00069       elementList = doc.getElementsByTagName("address");
    00070       nameNode = elementList.item(0);
    00071       child = (CharacterData)nameNode.getFirstChild();
    00072
    00073         {
    00074                 boolean success = false;
    00075                 try {
    00076                         badString = child.substringData(10,-3);
    00077
    00078                 }
    00079                 catch(DOMException ex) {
    00080                         success = (ex.code == DOMException.INDEX_SIZE_ERR);
    00081                 }
    00082                 assertTrue("throws_INDEX_SIZE_ERR",success);
    00083         }
    00084
    00085    }

The documentation for this class was generated from the following file:

- characterdataindexsizeerrreplacedatacountnegative.java